
From: Roland McGrath <roland@redhat.com>

This makes the vDSO use nops for all its padding around instructions,
rather than sometimes zeros, and nop-pads the end of the area containing
instructions to a 32-byte cache line, to keep text and data in separate
lines.

Signed-off-by: Roland McGrath <roland@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/vsyscall-sigreturn.S |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/vsyscall-sigreturn.S~i386-clean-up-vdso-alignment-padding arch/i386/kernel/vsyscall-sigreturn.S
--- devel/arch/i386/kernel/vsyscall-sigreturn.S~i386-clean-up-vdso-alignment-padding	2005-07-28 11:42:39.000000000 -0700
+++ devel-akpm/arch/i386/kernel/vsyscall-sigreturn.S	2005-07-28 11:42:39.000000000 -0700
@@ -15,7 +15,7 @@
 */
 
 	.text
-	.org	__kernel_vsyscall+32
+	.org __kernel_vsyscall+32,0x90
 	.globl __kernel_sigreturn
 	.type __kernel_sigreturn,@function
 __kernel_sigreturn:
@@ -35,6 +35,7 @@ __kernel_rt_sigreturn:
 	int $0x80
 .LEND_rt_sigreturn:
 	.size __kernel_rt_sigreturn,.-.LSTART_rt_sigreturn
+	.balign 32
 	.previous
 
 	.section .eh_frame,"a",@progbits
_
